import { Http } from '@angular/http';
import { Platform } from 'ionic-angular';
import { ImageLoaderConfig } from "./image-loader-config";
export declare class ImageLoader {
    private http;
    private platform;
    private config;
    private isCacheReady;
    private isInit;
    constructor(http: Http, platform: Platform, config: ImageLoaderConfig);
    private downloadImage(imageUrl, localPath);
    getImagePath(imageUrl: string): Promise<string>;
    private initCache(replace?);
    /**
     *
     * @param image {ArrayBuffer} Image in binary
     * @param fileName {string} File name to save as
     * @returns {Promise<string>} Promise that resolves with native URL of file
     */
    private cacheImage(image, fileName);
    private getCachedImagePath(url);
    private throwError(error);
    private throwWarning(error);
    private readonly filePluginExists;
    private readonly cacheDirectoryExists;
    private createCacheDirectory(replace?);
    /**
     * Creates a unique file name out of the URL
     * @param url {string} URL of the file
     * @returns {string} Unique file name
     */
    private createFileName(url);
    /**
     * Converts a string to a unique 32-bit int
     * @param string {string} string to hash
     * @returns {number} 32-bit int
     */
    private hashString(string);
}
